-- Download this is in the webrepo
require(asset.documents.Mouse_Support)

function setup()
    tester = NodePathTester()
    mouseImg = image.read(asset.Mouse_Cursor)
    scal = {mouseScale = 0.03}
    mouse.hide()
end

function draw()
    tester:update()
    tester:draw()
    mouseUpdate()
    mouseDraw()
end

function mouseUpdate()
    if mouse.left.pressed or mouse.right.pressed or mouse.middle.pressed then
        tween(scal):to{mouseScale = 0.025}:time(0.05):pingpong(1):onComplete(function()scal.mouseScale = 0.03 end)
    end
end

function mouseDraw()
    if mouse.inRegion then
        sprite(mouseImg, math.floor(mouse.x + (mouseImg.width * scal.mouseScale)/2) , math.floor(mouse.y - (mouseImg.height * scal.mouseScale)/2), math.floor(mouseImg.width * scal.mouseScale - (1 * scal.mouseScale)), math.floor(mouseImg.height * scal.mouseScale))
    end
end

